#!/usr/bin/env bash

colcon build --packages-select tracetools --allow-overriding tracetools && \
    source install/setup.bash && \
    colcon build --packages-select cyclonedds --allow-overriding cyclonedds && \
    source install/setup.bash && \
    colcon build --packages-select rmw_cyclonedds_cpp --allow-overriding rmw_cyclonedds_cpp && \
    source install/setup.bash && \
    colcon build --packages-select rcl rcl_yaml_param_parser --allow-overriding rcl rcl_yaml_param_parser && \
    source install/setup.bash && \
    colcon build --packages-select rclcpp --allow-overriding rclcpp && \
    source install/setup.bash && \
    colcon build --packages-up-to full_topology && \
    source install/setup.bash

export RMW_IMPLEMENTATION=rmw_cyclonedds_cpp
